<template>
  <el-row :gutter="20" align="middle" class="clientsPage">
    <el-col :span="12" class="headBlock">
      <h1>Договоры</h1>
    </el-col>
    <el-col :span="12" class="text-right">
      <el-button type="primary" class="bigButton">Добавить <img src="@/assets/agreements/add.svg" class="icon-image" alt=""></el-button>
    </el-col>
    <el-col :span="12" class="mtBlock">
      <div class="searchBlock">
        <el-input placeholder="Поиск"/>
        <img src="@/assets/search.svg" class="icon-image" alt="">
      </div>
    </el-col>
    <el-col :span="12" class="text-right mtBlock">
      <el-button type="info" class="bigButton">Фильтры <img src="@/assets/clients/filter.svg" class="icon-image" alt=""></el-button>
    </el-col>
    <el-col>
      <el-row :gutter="20" class="clientsBlock">
        <el-col v-for="item in items" v-bind:key="item.name">
          <AgreementComponent :item="item"></AgreementComponent>
        </el-col>
      </el-row>
    </el-col>
  </el-row>
</template>

<script>
import AgreementComponent from "@/views/cabinet-components/AgreementComponent";
export default {
  components:{
    AgreementComponent
  },
  data:()=>({
    items:[
      {
        id: '12345678',
        name: 'Договор “Ы”',
        user_type: 'Контрагент',
        created_date: '11.08.2022',
        updated_date: '12.02.2023',
      },
      {
        id: '12345678',
        name: 'Договор “Ы”',
        user_type: 'Контрагент',
        created_date: '11.08.2022',
        updated_date: '12.02.2023',
      },
      {
        id: '12345678',
        name: 'Договор “Ы”',
        user_type: 'Контрагент',
        created_date: '11.08.2022',
        updated_date: '12.02.2023',
      },
      {
        id: '12345678',
        name: 'Договор “Ы”',
        user_type: 'Контрагент',
        created_date: '11.08.2022',
        updated_date: '12.02.2023',
      },
    ]
  })
}
</script>